Bug 326831 - Review Request: kcbench - Kernel compile benchmark
Review Request: kcbench - Kernel compile benchmark
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On: 326841
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-10 15:23 EDT by Thorsten Leemhuis
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-15 14:49:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thorsten Leemhuis 2007-10-10 15:23:59 EDT
Spec URL:
http://www.leemhuis.info/files/fedorarpms/SPECS.fdr/kcbench.spec

SRPM URL:
http://www.leemhuis.info/files/fedorarpms/SRPMS.fdr/kcbench-0.1-1.src.rpm

Description:
Compiles a linux kernel to benchmark a system or test system stability.

Notes:
I use a simple kernel compile benchmark on a lot to test systems for speed and stability testing purposes. I thought it might be nice to put that script (actually it's a reworked version of a old script of mine that likely has some new bugs) into Fedora, as it might be of use for other people as well.

The data-files needed will be submitted in a separate package.
Comment 1 Thorsten Leemhuis 2007-10-10 15:25:02 EDT
(In reply to comment #0)
> The data-files needed will be submitted in a separate package.

Can be found in Bug 326841.
Comment 2 Jason Tibbitts 2007-10-12 17:15:38 EDT
This a trivial single shell script installed into %{_bindir}.  I'm not even sure
what the point in running through a review checklist would be.  The package
builds and installs fine (with the dependencies in a local repo).  rpmlint
complains about the lack of documentation, which is honestly valid; a quick
readme might be nice.

The only thing I can see as a problem is that you can install this and then not
be able to run it because of missing dependencies.  I know it checks for some
things it needs, but I think it's better to have those in the dependency list
since otherwise installing this package is pointless.
Comment 3 Thorsten Leemhuis 2007-10-13 10:52:45 EDT
(In reply to comment #2)
> rpmlint complains about the lack of documentation, which is honestly valid;
> a quick readme might be nice.

Added

> The only thing I can see as a problem is that you can install this and then not
> be able to run it because of missing dependencies.

I added make, binutils and gcc (without version, as those currently in Fedora 
-- that should work fine)

Did some small improvements to the kcbench script itself while at it as well.

Spec URL:
http://www.leemhuis.info/files/fedorarpms/SPECS.fdr/kcbench.spec

SRPM URL:
http://www.leemhuis.info/files/fedorarpms/SRPMS.fdr/kcbench-0.1-2.src.rpm

SRPM DIFF URL:
http://www.leemhuis.info/files/fedorarpms/DIFFS.fdr/kcbench.rpmdiff
Comment 4 Jason Tibbitts 2007-10-14 23:16:59 EDT
Looks good to me; frankly I don't know exactly what is required to build a
kernel, but the Fedora pakage specifies a bit more than just make, gcc and
binutils: 
   module-init-tools
   patch >= 2.5.4
   bash >= 2.03
   sh-utils
   tar
   bzip2
   findutils
   gzip
   m4
   perl
   make >= 3.78
   diffutils
   gawk
   gcc >= 3.4.2
   binutils >= 2.12
   redhat-rpm-config

I can't say how much of that is specific to the Fedora kernels, though.  Still,
I'm sure if anything turns up missing then you can just add it.

APPROVED
Comment 5 Thorsten Leemhuis 2007-10-15 00:51:31 EDT
(In reply to comment #4)
> Looks good to me; frankly I don't know exactly what is required to build a
> kernel, but the Fedora pakage specifies a bit more than just make, gcc and
> binutils: 
>    module-init-tools
>    patch >= 2.5.4
>    bash >= 2.03
>    sh-utils
>    tar
>    bzip2
>    findutils
>    gzip
>    m4
>    perl
>    make >= 3.78
>    diffutils
>    gawk
>    gcc >= 3.4.2
>    binutils >= 2.12
>    redhat-rpm-config
> 
> I can't say how much of that is specific to the Fedora kernels, though.  

I'd say everything except make, gcc and binutils. Well, in fact
module-init-tools might be needed if one compiles a kernel with modules -- but
kcbench doesn't do that.

> Still, I'm sure if anything turns up missing then you can just add it.

Sure!

> APPROVED

thx tibbs

New Package CVS Request
=======================
Package Name: kcbench
Short Description: Kernel compile benchmark
Owners: thl
Branches: F-7, EL-5
InitialCC:
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2007-10-15 11:47:54 EDT
cvs done.
Comment 7 Thorsten Leemhuis 2007-10-15 14:49:07 EDT
thx everyone; imported and build

Note You need to log in before you can comment on or make changes to this bug.